Bug 133054 - [patch] devel/boost: mark as MAKE_JOBS_SAFE
Summary: [patch] devel/boost: mark as MAKE_JOBS_SAFE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-25 09:40 UTC by swell.k
Modified: 2009-04-09 17:40 UTC (History)
0 users

See Also:


Attachments
mark.diff (727 bytes, patch)
2009-03-25 09:40 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2009-03-25 09:40:01 UTC
Utilize more horsepower by building the port using several instances
of GCC on SMP boxes.

Fix: Use feature introduced by recent commit to Mk/bsd.port.mk

http://docs.FreeBSD.org/cgi/mid.cgi?200903221028.n2MASrjk002315
http://docs.FreeBSD.org/cgi/mid.cgi?1237901632.1849.19.camel
How-To-Repeat: Apply attached patch and run

$ make MAKE_JOBS_NUMBER=8
Comment 1 Edwin Groothuis freebsd_committer 2009-03-25 09:40:10 UTC
Maintainer of devel/boost,

Please note that PR ports/133054 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133054

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-03-25 09:40:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Alexander Churanov 2009-03-25 16:51:18 UTC
Edwin,

I agree with the patch. Suggest checking it in.
I've applied the patch, rebuilt patched devel/boost-python and
audio/raul. The latter port depends on boost, I've used it as a basic
test.

Alexander Churanov
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-03-26 02:08:11 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Li-Wen Hsu freebsd_committer 2009-03-30 21:33:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 6 dfilter service freebsd_committer 2009-04-09 17:32:28 UTC
lwhsu       2009-04-09 16:32:19 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost          Makefile 
  Log:
  - mark as MAKE_JOBS_SAFE, also apply ${_MAKE_JOBS} to BJAM_OPTIONS
  
  PR:             ports/133054
  Submitted by:   Anonymous <swell.k AT gmail.com>
  Approved by:    Alexander Churanov <alexanderchuranov AT gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.44      +2 -0      ports/devel/boost/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Li-Wen Hsu freebsd_committer 2009-04-09 17:32:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!